Bug 961338 - symbolic link rhevh-adv-latest-6.iso and rhev-hypervisor-advanced.iso still exist after unload rhev-h advanced package
symbolic link rhevh-adv-latest-6.iso and rhev-hypervisor-advanced.iso still e...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhev-hypervisor6 (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Mike Burns
Virtualization Bugs
: Regression
Depends On: 924665 961179
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 08:39 EDT by Mike Burns
Modified: 2013-07-25 20:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 961179
Environment:
Last Closed: 2013-07-19 08:07:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2013-05-09 08:39:23 EDT
This issue or a similar one will affect rhev-hypervisor6 rpms as well.

+++ This bug was initially created as a clone of Bug #961179 +++

Description of problem:
After instalation of package rhev-hypervisor6-6.4-20130501.0.el6_4.noarch.rpm,
then instalation of package rhev-hypervisor-advanced-6.4-20130508.1.el6ev.noarch.rpm,after unload package rhev-hypervisor-advanced-6.4-20130508.1.el6ev.noarch.rpm,
check that symbolic link rhevh-adv-latest-6.iso and rhev-hypervisor-advanced.iso still exist in the /usr/share/rhev-hypervisor/.
and they are pointing to the file /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso,
[root@localhost iso]# ls -ls /usr/share/rhev-hypervisor/
     4 lrwxrwxrwx 1 root root        76 May  9 10:35 rhevh-adv-latest-6.iso -> /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso
     4 lrwxrwxrwx 1 root root        76 May  9 10:35 rhev-hypervisor-advanced.iso -> /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso

which does not exist
[root@localhost iso]# ls -sl /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso
ls: cannot access /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso: No such file or directory


Version-Release number of selected component (if applicable):
rhev-hypervisor-advanced-6.4-20130508.1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install package rhev-hypervisor6-6.4-20130501.0.el6_4.noarch.rpm
2. Then install package rhev-hypervisor-advanced-6.4-20130508.1.el6ev.noarch.rpm
3. rpm -e rhev-hypervisor-advanced-6.4-20130508.1.el6ev.noarch
  
Actual results:
symbolic link rhevh-adv-latest-6.iso and rhev-hypervisor-advanced.iso still exist
in the /usr/share/rhev-hypervisor/ after unload rhev-h advanced package

Expected results:
symbolic link rhevh-adv-latest-6.iso and rhev-hypervisor-advanced.iso should also be deleted
in the /usr/share/rhev-hypervisor/ after unload rhev-h advanced package

Additional info:
After unload the package rhev-hypervisor-advanced-6.4-20130508.1.el6ev.noarch
[root@localhost iso]# ls -ls /usr/share/rhev-hypervisor/
total 183316
183296 -rw-r--r-- 1 root root 187695104 May  2 08:12 rhevh-6.4-20130501.0.el6_4.iso
     4 lrwxrwxrwx 1 root root        76 May  9 10:35 rhevh-adv-latest-6.iso -> /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso
     0 lrwxrwxrwx 1 root root        57 May  9 10:33 rhevh-latest-6.iso -> /usr/share/rhev-hypervisor/rhevh-6.4-20130501.0.el6_4.iso
     0 lrwxrwxrwx 1 root root        57 May  9 10:33 rhev-hypervisor6.iso -> /usr/share/rhev-hypervisor/rhevh-6.4-20130501.0.el6_4.iso
     4 lrwxrwxrwx 1 root root        76 May  9 10:35 rhev-hypervisor-advanced.iso -> /usr/share/rhev-hypervisor/rhev-hypervisor-advanced-6.4-20130501.0.el6_4.iso
     4 -rw-r--r-- 1 root root         8 May  2 08:18 vdsm-compatibility-6.4-20130501.0.el6_4.txt
     4 lrwxrwxrwx 1 root root        70 May  9 10:35 vdsm-compatibility.txt -> /usr/share/rhev-hypervisor/vdsm-compatibility-6.4-20130501.0.el6_4.txt
     4 -rw-r--r-- 1 root root        21 May  2 08:18 version-6.4-20130501.0.el6_4.txt
     0 lrwxrwxrwx 1 root root        59 May  9 10:35 version.txt -> /usr/share/rhev-hypervisor/version-6.4-20130501.0.el6_4.txt

--- Additional comment from haiyang,dong on 2013-05-09 04:56:35 EDT ---

NO this issue on build rhev-hypervisor-advanced-6.4-20130501.0.el6ev, so it's a regression bug.
Comment 2 Mike Burns 2013-07-19 08:07:03 EDT
rhev-hypervisor-advanced was dropped, so this is not valid anymore

Note You need to log in before you can comment on or make changes to this bug.